searchNodes=[{"doc":"This buffer module stores the data for Cayenne.LPP.Payload or any Cayenne LPP type Example alias Cayenne.LPP.Buffer buffer = Buffer.new() |&gt; Buffer.add_byte(0x28) |&gt; Buffer.add_bytes(0xFF, 2) |&gt; Buffer.add_bytes(0x1234, 2) Buffer.to_string(buffer) # &quot;2800FF1234&quot; Buffer.size(buffer) # 5","ref":"Cayenne.LPP.Buffer.html","title":"Cayenne.LPP.Buffer","type":"module"},{"doc":"","ref":"Cayenne.LPP.Buffer.html#add_byte/2","title":"Cayenne.LPP.Buffer.add_byte/2","type":"function"},{"doc":"","ref":"Cayenne.LPP.Buffer.html#add_bytes/3","title":"Cayenne.LPP.Buffer.add_bytes/3","type":"function"},{"doc":"","ref":"Cayenne.LPP.Buffer.html#concat/2","title":"Cayenne.LPP.Buffer.concat/2","type":"function"},{"doc":"","ref":"Cayenne.LPP.Buffer.html#new/0","title":"Cayenne.LPP.Buffer.new/0","type":"function"},{"doc":"","ref":"Cayenne.LPP.Buffer.html#size/1","title":"Cayenne.LPP.Buffer.size/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Buffer.html#to_string/1","title":"Cayenne.LPP.Buffer.to_string/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Buffer.html#t:size/0","title":"Cayenne.LPP.Buffer.size/0","type":"type"},{"doc":"","ref":"Cayenne.LPP.Buffer.html#t:t/0","title":"Cayenne.LPP.Buffer.t/0","type":"type"},{"doc":"","ref":"Cayenne.LPP.Buffer.html#t:value/0","title":"Cayenne.LPP.Buffer.value/0","type":"type"},{"doc":"Cayenne LPP types need to implement this protocol to be encoded into a Cayenne.LPP.Buffer Note: Adding new types does not mean they will be automagically identified and/or supported by TheThingsNetwork and/or Cayenne Cloud!","ref":"Cayenne.LPP.Encoder.html","title":"Cayenne.LPP.Encoder","type":"protocol"},{"doc":"","ref":"Cayenne.LPP.Encoder.html#encode/1","title":"Cayenne.LPP.Encoder.encode/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Encoder.html#t:t/0","title":"Cayenne.LPP.Encoder.t/0","type":"type"},{"doc":"This module is used to build a Cayenne LPP payload, which can be used to send it via a LoRa node to a LoRa Gateway Example alias Cayenne.LPP.Payload alias Cayenne.LPP.Type.{Temperature, RelativeHumidity} payload = Payload.new() |&gt; Payload.add(1, Temperature.new(28.3)) |&gt; Payload.add(2, RelativeHumidity.new(40.5)) # Payload as String: &quot;0167011B02680195&quot; payload |&gt; Payload.to_string() |&gt; IO.inspect(label: &quot;Payload as String&quot;) # Payload size (in bytes): 8 payload |&gt; Payload.size() |&gt; IO.inspect(label: &quot;Payload size (in bytes)&quot;)","ref":"Cayenne.LPP.Payload.html","title":"Cayenne.LPP.Payload","type":"module"},{"doc":"","ref":"Cayenne.LPP.Payload.html#add/3","title":"Cayenne.LPP.Payload.add/3","type":"function"},{"doc":"","ref":"Cayenne.LPP.Payload.html#new/0","title":"Cayenne.LPP.Payload.new/0","type":"function"},{"doc":"","ref":"Cayenne.LPP.Payload.html#size/1","title":"Cayenne.LPP.Payload.size/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Payload.html#to_buffer/1","title":"Cayenne.LPP.Payload.to_buffer/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Payload.html#to_string/1","title":"Cayenne.LPP.Payload.to_string/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Payload.html#t:channel/0","title":"Cayenne.LPP.Payload.channel/0","type":"type"},{"doc":"","ref":"Cayenne.LPP.Payload.html#t:fragment/0","title":"Cayenne.LPP.Payload.fragment/0","type":"type"},{"doc":"","ref":"Cayenne.LPP.Payload.html#t:t/0","title":"Cayenne.LPP.Payload.t/0","type":"type"},{"doc":"","ref":"Cayenne.LPP.Payload.html#t:type/0","title":"Cayenne.LPP.Payload.type/0","type":"type"},{"doc":"Cayenne LPP type for a 3-axis accelerometer Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.Accelerometer buffer = [x: 0.131789, y: 0.122113, z: 0.937282] |&gt; Accelerometer.new() |&gt; Encoder.encode() Buffer.to_string(buffer) # &quot;710084007A03A9&quot; Buffer.size(buffer) # 7","ref":"Cayenne.LPP.Type.Accelerometer.html","title":"Cayenne.LPP.Type.Accelerometer","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.Accelerometer.html#new/1","title":"Cayenne.LPP.Type.Accelerometer.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.Accelerometer.html#t:t/0","title":"Cayenne.LPP.Type.Accelerometer.t/0","type":"type"},{"doc":"Cayenne LPP type for analog input Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.AnalogInput buffer = 1.94 |&gt; AnalogInput.new() |&gt; Encoder.encode(temperature) Buffer.to_string(buffer) # &quot;0200C2&quot; Buffer.size(buffer) # 3","ref":"Cayenne.LPP.Type.AnalogInput.html","title":"Cayenne.LPP.Type.AnalogInput","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.AnalogInput.html#new/1","title":"Cayenne.LPP.Type.AnalogInput.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.AnalogInput.html#t:t/0","title":"Cayenne.LPP.Type.AnalogInput.t/0","type":"type"},{"doc":"Cayenne LPP type for analog output Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.AnalogOutput buffer = 3.04 |&gt; AnalogOutput.new() |&gt; Encoder.encode(temperature) Buffer.to_string(buffer) # &quot;030130&quot; Buffer.size(buffer) # 3","ref":"Cayenne.LPP.Type.AnalogOutput.html","title":"Cayenne.LPP.Type.AnalogOutput","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.AnalogOutput.html#new/1","title":"Cayenne.LPP.Type.AnalogOutput.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.AnalogOutput.html#t:t/0","title":"Cayenne.LPP.Type.AnalogOutput.t/0","type":"type"},{"doc":"Cayenne LPP type for barometric pressure Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.BarometricPressure buffer = 1017.8 |&gt; DigitalInput.new() |&gt; Encoder.encode() Buffer.to_string(buffer) # &quot;7327C2&quot; Buffer.size(buffer) # 3","ref":"Cayenne.LPP.Type.BarometricPressure.html","title":"Cayenne.LPP.Type.BarometricPressure","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.BarometricPressure.html#new/1","title":"Cayenne.LPP.Type.BarometricPressure.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.BarometricPressure.html#t:t/0","title":"Cayenne.LPP.Type.BarometricPressure.t/0","type":"type"},{"doc":"Cayenne LPP type for digital input Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.DigitalInput buffer = 1 |&gt; DigitalInput.new() |&gt; Encoder.encode() Buffer.to_string(buffer) # &quot;0001&quot; Buffer.size(buffer) # 2","ref":"Cayenne.LPP.Type.DigitalInput.html","title":"Cayenne.LPP.Type.DigitalInput","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.DigitalInput.html#new/1","title":"Cayenne.LPP.Type.DigitalInput.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.DigitalInput.html#t:t/0","title":"Cayenne.LPP.Type.DigitalInput.t/0","type":"type"},{"doc":"Cayenne LPP type for digital output Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.DigitalOutput buffer = 0 |&gt; DigitalOutput.new() |&gt; Encoder.encode() Buffer.to_string(buffer) # &quot;0100&quot; Buffer.size(buffer) # 2","ref":"Cayenne.LPP.Type.DigitalOutput.html","title":"Cayenne.LPP.Type.DigitalOutput","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.DigitalOutput.html#new/1","title":"Cayenne.LPP.Type.DigitalOutput.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.DigitalOutput.html#t:t/0","title":"Cayenne.LPP.Type.DigitalOutput.t/0","type":"type"},{"doc":"Cayenne LPP type for GPS Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.GPS buffer = [lat: 51.4163, lon: 6.5433, alt: 49] |&gt; GPS.new() |&gt; Encoder.encode(temperature) Buffer.to_string(buffer) # &quot;8807D87300FF99001324&quot; Buffer.size(buffer) # 10","ref":"Cayenne.LPP.Type.GPS.html","title":"Cayenne.LPP.Type.GPS","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.GPS.html#new/1","title":"Cayenne.LPP.Type.GPS.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.GPS.html#t:t/0","title":"Cayenne.LPP.Type.GPS.t/0","type":"type"},{"doc":"Cayenne LPP type for a 3-axis gyrometer Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.Gyrometer buffer = [x: 24.474, y: -1.104, z: -5.456] |&gt; Gyrometer.new() |&gt; Encoder.encode() Buffer.to_string(buffer) # &quot;865F9AFBB0EAB0&quot; Buffer.size(buffer) # 7","ref":"Cayenne.LPP.Type.Gyrometer.html","title":"Cayenne.LPP.Type.Gyrometer","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.Gyrometer.html#new/1","title":"Cayenne.LPP.Type.Gyrometer.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.Gyrometer.html#t:t/0","title":"Cayenne.LPP.Type.Gyrometer.t/0","type":"type"},{"doc":"Cayenne LPP type for luminosity Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.Luminosity buffer = 1055.63 |&gt; Gyrometer.new() |&gt; Encoder.encode() Buffer.to_string(buffer) # &quot;650420&quot; Buffer.size(buffer) # 3","ref":"Cayenne.LPP.Type.Luminosity.html","title":"Cayenne.LPP.Type.Luminosity","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.Luminosity.html#new/1","title":"Cayenne.LPP.Type.Luminosity.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.Luminosity.html#t:t/0","title":"Cayenne.LPP.Type.Luminosity.t/0","type":"type"},{"doc":"Cayenne LPP type for presence Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.Presence buffer = 1 |&gt; Presence.new() |&gt; Encoder.encode(temperature) Buffer.to_string(buffer) # &quot;6601&quot; Buffer.size(buffer) # 2","ref":"Cayenne.LPP.Type.Presence.html","title":"Cayenne.LPP.Type.Presence","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.Presence.html#new/1","title":"Cayenne.LPP.Type.Presence.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.Presence.html#t:t/0","title":"Cayenne.LPP.Type.Presence.t/0","type":"type"},{"doc":"Cayenne LPP type for relative humidity Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.RelativeHumidity buffer = 40.5 |&gt; RelativeHumidity.new() |&gt; Encoder.encode(temperature) Buffer.to_string(buffer) # &quot;680195&quot; Buffer.size(buffer) # 3","ref":"Cayenne.LPP.Type.RelativeHumidity.html","title":"Cayenne.LPP.Type.RelativeHumidity","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.RelativeHumidity.html#new/1","title":"Cayenne.LPP.Type.RelativeHumidity.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.RelativeHumidity.html#t:t/0","title":"Cayenne.LPP.Type.RelativeHumidity.t/0","type":"type"},{"doc":"Cayenne LPP type for temperature Example alias Cayenne.LPP.{Buffer, Encoder} alias Cayenne.LPP.Type.Temperature buffer = 28.3 |&gt; Temperature.new() |&gt; Encoder.encode(temperature) Buffer.to_string(buffer) # &quot;67011B&quot; Buffer.size(buffer) # 3","ref":"Cayenne.LPP.Type.Temperature.html","title":"Cayenne.LPP.Type.Temperature","type":"module"},{"doc":"","ref":"Cayenne.LPP.Type.Temperature.html#new/1","title":"Cayenne.LPP.Type.Temperature.new/1","type":"function"},{"doc":"","ref":"Cayenne.LPP.Type.Temperature.html#t:t/0","title":"Cayenne.LPP.Type.Temperature.t/0","type":"type"},{"doc":"MIT License Copyright (c) 2020 Jan Pieper Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]